import { httpApp } from "@/plugins/axiosApp";
import { SasCourse, SASPaper } from "@/types";

/** 试卷特征量数对比分析 */
export function getPaperCompareList(params: {
  contrastProjectId: number;
  projectIds: number[];
  courseCode: string;
}) {
  return httpApp.post<any, { data: SASPaper[] }>(
    "/api/ess/contrast/paper/list",
    params
  );
}

/** 试卷特征量数对比分析 */
export function getPaperCompareScoreList(params: {
  contrastProjectId: number;
  projectIds: number[];
  courseCode: string;
}) {
  return httpApp.post<any, { data: SasCourse[] }>(
    "/api/ess/contrast/course/list",
    params
  );
}
